{
    attributes = (
        {
            columnName = C_STRUCTURE; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            definition = "UPPER(toIndividu.nomUsuel)||' '||UPPER(SUBSTR(toIndividu.prenom,1,1))||LOWER(SUBSTR(toIndividu.prenom,2,LENGTH(toIndividu.prenom)))"; 
            externalType = VARCHAR2; 
            name = identite; 
            valueClassName = NSString; 
            width = 120; 
        }, 
        {
            columnName = NO_INDIVIDU; 
            externalType = NUMBER; 
            name = noIndividu; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (cStructure, noIndividu, identite); 
    className = EOGenericRecord; 
    classProperties = (cStructure, noIndividu, toIndividu, identite); 
    externalName = SECRETARIAT; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_clientClassPropertyNames = (cStructure, noIndividu, toIndividu, identite); }; 
    name = Secretariat; 
    primaryKeyAttributes = (cStructure, noIndividu); 
    relationships = (
        {
            destination = IndividuUlr; 
            internalInfo = {_nameInObjectStore = toIndividuUlr; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noIndividu; }); 
            name = toIndividu; 
        }
    ); 
}
